package com.dgtis.dorm.manager.db.dao;

import java.util.List;
import java.util.Map;

import com.dgtis.dorm.manager.db.domain.AlumniFriUser;
import org.apache.ibatis.annotations.Param;

public interface AlumniFriUserMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(AlumniFriUser record);

    int insertSelective(AlumniFriUser record);

    AlumniFriUser selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AlumniFriUser record);

    int updateByPrimaryKey(AlumniFriUser record);

	List<Map> selectUserByFKUserId(@Param("userId") Integer userId);

	AlumniFriUser selectFriUser(@Param("userId") Integer userId, @Param("friUserId") Integer friUserId);

	List<Map> selectUserConcerned(@Param("userId") Integer userId, @Param("valString") String valString);
}